#---
# Excerpted from "Crafting Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material,
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose.
# Visit http://www.pragmaticprogrammer.com/titles/jvrails for more book information.
#---
module SqlMetrics
  class Engine < Rails::Engine
    # Insert the mute middleware high in the stack to ensure
    # no queries in the stack will escape the mute.
    config.app_middleware.insert_after "ActionDispatch::Callbacks",
      "SqlMetrics::MuteMiddleware"

    # Make configurations proxy to SqlMetrics module
    config.sql_metrics = SqlMetrics
  end
end